import { Request as ExpressRequest, Response as ExpressResponse } from "express";
import { existsSync, promises } from "fs";
import { join } from "path";
import { ENVIRONMENT } from "src/utils/environment";
import { Option } from "@shared/common/async_utils";
import { rpcClient } from "src/utils/rpc";

export interface VerifyInfo {
    captchaSitekey: string;
}

type GetResult = Promise<ExpressResponse<VerifyInfo>>;
export const get = async (req: ExpressRequest, res: ExpressResponse): GetResult => res.json({
    captchaSitekey: ENVIRONMENT.hCaptchaSitekey,
});

// type PostResult = Promise<ExpressResponse<Option<unknown, { error: string }>>>;
// export const post = async (req: ExpressRequest, res: ExpressResponse): PostResult => {

// };
